# Dapr Community Managers

## Charter

Community managers are responsible for managing many aspects of the Dapr community. The goal is to achieve and maintain a healthy and growing Dapr community where everyone feels welcome and is encouraged to share knowledge and learn from each other. This document outlines the responsibilities of a community manager and the process involved in becoming one.

### Responsibilities

A community manager has the following responsibilities:

* Manage the Dapr community calls:
   * Participate in the rotating schedule to host the call.
   * Find speakers to present Dapr related sessions.
   * Collect community content to highlight during the _show and tell_ section.
   * Publish the community call recording to the Dapr YouTube channel.
* Manage the Discord community:
   * Organize and monitor Discord channels.
   * Ensure community rules are being followed.
   * Help new Discord users find the right channels & answers.
   * Announce new Dapr releases and events.
* Review issues & pull requests in the community repository.
* Review and publish [Dapr blog posts](https://github.com/dapr/blog) submitted by the community.
* Review community contributions to [presentations](presentations/README.md) and [blog posts](blogposts/README.md) and award contributors with digital badges.
* Report on community health, growth trends, and top issues to maintainers and STC.
* Propose new partnerships with other adjacent communities to STC and manage them.
* Manage community analytics tools, including Google Analytics, CommonRoom.io and Scarf.sh.
* Manage the [@daprdev](https://twitter.com/daprdev) Twitter account:
   * Asking the community for community call topics.
   * Announcing community calls (one day before and one hour before the call).
   * Announcing that the recording of the community call is available on YouTube.
   * Announcing new Dapr releases.
   * Announcing new Dapr blog posts or CNCF case studies.
   * Reposting relevant Dapr tweets from the community.
* Manage the [@daprdev](https://www.youtube.com/@daprdev) YouTube account.

### Duties that require STC approval

* Add new analytics tools

## Process to become a community manager

Self-nominate via a [new issue in the community repository](https://github.com/dapr/community/issues/new) stating why you want to be an community manager, or alternatively, contact an STC member. A community manager needs approval from three or more STC members. 

Once a community manager is approved, they are added to the [MAINTAINERS.md](./MAINTAINERS.md) file, including a non-voting statement to indicate the community manager does not have voting rights as the regular maintainers do.

## Limits and Expiration

The community manager role expires 12 months from the date it was approved. Reapproval is then required. To minimize the number of people to coordinate between, there is a maximum of three active community managers. 

## Removal

The community manager role is removed in the following cases:
* Expiration of the 12-month term.
* STC votes with a simple majority to remove the community manager.
* The community manager can ask to have themselves removed from the role. 

## Current community managers
The following community managers have been approved by the STC:

| Name | GitHub Handle | Discord Handle | Company | Status | Timezone | Term Start | Term End |
| - | - | -  | - | - | - | - | -
| Annu Singh | [@AnnuCode](https://github.com/annucode) | annusingh | Nirmata | Active | UTC+5.30/IST | Jan 1st, 2024 | Jan 1st, 2025
| Cecil Phillip | [@cecilphillip](https://github.com/cecilphillip) | cecilphillip | Stripe | Active | UTC-5/EST | Jan 1st, 2024 | Jan 1st, 2025
| Marc Duiker | [@marcduiker](https://github.com/marcduiker) | marcduiker | Diagrid | Active | UTC+1/CET | Apr 18th, 2024 | Apr 18th, 2025
| Nyemade Uversky  | [@nyemade-uversky](https://github.com/nyemade-uversky) | nuversky#2099 | Microsoft | Inactive | UTC-8/PST | Feb 15th, 2023 | Feb 15th, 2024

### Statuses
   * Active: Currently an active community manager.
   * Inactive: Previously held a community manager role.
