## Community Manager Onboarding (for community managers)

This document contains information about the tools and processes that are used by the Dapr community managers.

Community managers are encouraged to update this file to improve the onboarding process.

### 1Password

Dapr uses 1Password that contains credentials for the various accounts that are used by the Dapr team members.

The community manager will receive an email from on of the project maintainers with an invite to join the Dapr 1Password account.

### Planning community calls

For planning and managing community calls, the community manager adds issues and edit them in the [community repo](https://github.com/dapr/community).

Once new community calls have been planned, update the community repo [README.md](README.md) with the new dates.

### Hosting community calls

Zoom is used for the Dapr community calls which are hosted by the community manager.

Join the call 15 minutes before the start of the call and have the other speakers join early as well so they can test their audio and screen sharing.

Zoom credentials can be found in the Dapr 1password account.

### Discord

The Dapr Discord server is used for community discussions and Q&A. The responsibility of the community manager is to manage and moderate the Discord server.

In case the community manager want to invite people to the Dapr Discord server, use this [invite link](https://bit.ly/dapr-discord).

The _Community Sync_ DM group is used by community managers to discuss moderation and management tasks, and to plan community calls.

### Twitter

The [Dapr Twitter](https://twitter.com/daprdev) account is used for posting important updates and reposting relevant tweets from the community. See the list of [community manager responsibilities](COMMUNITY-MANAGER.md#responsibilities).

The Dapr Twitter credentials can be found in the Dapr 1Password account.

### YouTube

The community call recordings are published to [YouTube](https://www.youtube.com/@daprdev). Links are added to the video description, and video chapters are added for easy navigation.

Example Dapr Community Call video description:

```
Slides: (link to Google slides (read-only))

Claim the Dapr Community supporter badge: https://bit.ly/dapr-supporter
Join the Dapr Discord: http://bit.ly/dapr-discord

Blog posts:
(list blog posts here)

Videos:
(list blog posts here)

0:00 Intro
2:00 Session 1: Topic
20:00 Session 2: Topic
40:00 Community show & tell
```

The Dapr Google credentials can be found in the Dapr 1Password account.

### Google Drive

Google Drive is used for storing the Dapr community call slides.

- A new slide deck is created for each community call. Copy the most recent deck and rename it.
- Update the deck with the new date, host name and the agenda.
- Share the deck (with edit rights) with the speakers and in the _Community Sync_ Discord group.

The Dapr Google credentials can be found in the Dapr 1Password account.
