-------------------------------------------------------------
name: Bernd Verst
ID: berndverst
info:
  - employer: Microsoft
  - discord: berndverst
-------------------------------------------------------------

#### Name
Bernd Verst

#### Company Affiliation
Microsoft

#### Your work and/or contributions to Dapr

I have been actively contributing to Dapr for over 2.5 years, since Dapr release 1.2. Through my contributions I have become a maintainer of `components-contrib` (the Dapr component integrations), `python-sdk` (The Python SDK), and an approver of `dapr` (the runtime). In my work on Dapr I have always ensured to take an approach that benefits the project and the entire community, rather than any single employer or stakeholder. The velocity of new feature development but also bugfix and security issue resolution in both components and the Python SDK has dramatically increased since I have become a maintainer.

Most users and contributors will have seen my messages in Discord. Being very passionate about the Dapr user and contributor experience I have been extremely active engaing with the Dapr community in Discord, researching and answering questions, concerns, bugs and requests raised, during all hours of day and all days of the week. For every user who raised a question or issue in Discord, there is a high chance that I participated in resolving the question or issue.

#### Why you are running

1. **Product Maturity & Lifecycle Certainty**

I believe we need to strike the right balance between developing new features and seeing to completion the features we have already started. Many existing features are incomplete and the community is left wondering when if ever these features will be ready for production use. At this time this includes the State Store Query API, the Bulk pubsub implementation, Pluggable components, SDK feature parity, or even Resiliency to name a few areas for improvement. As a STC candidate I am committed to ensuring we complete the features we start and only start new feature work if we can make the same commitment for these features going forward.

2. **Contributor Experience**

Today contributions to Dapr are largely driven by employees of two companies. I would like to seek ways to enable and empower more users to contribute to Dapr to bring new functionality or address community pain points. Issues, PRs and Proposals opened that do not receive timely feedback or reviews do not make for a great contributor experience. As both a maintainer and a STC candidate my mantra is not to reject community requests, but to find ways in which the contribution can address the goal of the contributor while also making sense for the wider Dapr community and the project at large. I want Dapr to be a role model of an open-source project where first-time and seasoned contributors alike have a great experience participating.

3. **Growing the Ecosystem through Extensibility**

A recent trend has seen Dapr being offered as managed services by various cloud providers. However, these providers do not necessarily agree on the default choice of technology to be used by Dapr. The most sustainable solution for this is to create well defined interfaces in Dapr which enabled a given provider to replace implementations in private offerings without running into any risk of future code conflicts or incompatibilities. By adopting this interface approach for new feature work and transitioning existing features to interfaces we will be able to increase agreement and harmony among maintainers and community stakeholders.
As a STC candidate I am also committed to breathing new life into the pluggable components effort which brings the needed versality for Dapr to expand into domains not possible today (legacy clients not available in Golang, private component integrations etc). I envision a self serve community showcase of pluggable components where the community can maintain, offer and install their own pluggable components.


Throughout my actions as a maintainer and community participants I have proven not only my impartiality, but also my passion for helping fellow community members and ensuring the success of Dapr. I hope you trust that as a STC member I will continue to work on behalf of the community to ensure Dapr is successful in the long run.