-------------------------------------------------------------
name: Mark Fussell
ID: msfussell
info:
  - employer: Diagrid
  - discord: mfussell
-------------------------------------------------------------

#### Name
Mark Fussell

#### Company Affiliation
Diagrid

#### Your work and/or contributions to Dapr
Hi everyone. Over the last few years I have helped guide the Dapr project from early inception, through its public release in 2019, to its continued success and growth within the CNCF today. My current role is a member of the Steering and Technical committee (STC), and maintainer of the docs and quickstarts repos, with a passion to create great developer documentation and experiences. I have spend my entire career working on developer technologies and being immersed in the enterprise developer space, including building distributed systems platforms to run hyper-scale cloud services. 
Over the last couple of years I have: 
- Guided the Dapr project through the CNCF Incubation process and ensured it has a strong presence in the CNCF including presence in keynotes, video content and at CNCF events.
- Helped form the STC, guided the project direction and it quarterly releases, including establishing the release processes. 
- Started and hosted the Dapr community calls, instigated and wrote CNCF case studies, engaged across the Dapr Discord community and reached out to make community voices heard.
- Maintained and contributed to the Dapr docs, ensuring that the quality, consistency and accuracy of them is maintained. Also an active contributor to the Dapr quickstarts and samples repos.
- Generally been involved in many aspects of the project, commenting on hundreds of issues and proposals.

#### Why you are running

Having been with the project since its inception, my passion it to keep the project on a clear and focused path and to build a strong and vibrant community. OSS projects can become unweidly and loose focus of the core goals that made them successful at the start. The Dapr project has to grow, but that should not be at the expense of becoming bogged down in unclear and unnecessary features. Balancing this, with the contributions from the community is a challenging task and one where I bring experience and a balanced perspective. 

For the roadmap I see the following key areas that the STC has to spend time on:
 
 - APIs - What APIs are introduced, why and how do these align with developer needs?
 - Security - Zero trust security is essential and we need to establish a clear direction.
 - Local Developer experience - This was the top feedback in the 2023 State of Dapr report. How can we provide better tools, CLI, debugging support to make it easier for all developers. 
 - SDKs - The consistency and completeness across the SDKs needs to be maintained.
 - Ecosystem - Dapr's integrations with other OSS projects has rapidly grown in the last year. How do we keep this momentum going so that other projects also promote Dapr. 
 - Conformance/Testing/Multi-cloud deployment - Without investment in the CI, testing and release processes, the releases are becoming more complex and harder.

Beside the strategic outlook, I see the project still has huge growth potential on its already successful trajectory. Dapr is frequently turning up on industry analysts radars, we can double the number of contributors in the next 2 years and more organization are realizing that Dapr, with platforms like Kubernetes, is an ideal combination. To achieve this I will work tirelessly to promote Dapr within the CNCF, work with all organizations to incorporate Dapr and build a vocal, vibrant community. On a contribution level, I review practically every docs and quickstart repo PR and hold all dos contributors to an high bar in their documentation writing. 

