-------------------------------------------------------------
name: Oliver Tomlinson
ID: olitomlinson
info:
  - employer: Dotmatics
  - discord: Oli
-------------------------------------------------------------

#### Name
Oliver Tomlinson

#### Company Affiliation
Dotmatics

#### Your work and/or contributions to Dapr
Initially, most of my contributions to the Dapr project have been in the form of creating issues, approximately 50 of them, spanning the various repos.

The issues are mostly bug reports that me and my colleagues have encountered when utilising dapr for building real software products, however I have also created a few feature requests that have been accepted and implemented, particularly supporting multi-tenancy in Building Blocks i.e. [namespace isolation for State Stores](https://docs.dapr.io/developing-applications/building-blocks/state-management/howto-share-state/#namespace) and [namespace isolation for PubSub](https://docs.dapr.io/developing-applications/building-blocks/pubsub/howto-namespace/), but also [CloudEvent property overriding via metadata ](https://docs.dapr.io/developing-applications/building-blocks/pubsub/pubsub-cloudevents/#replace-dapr-generated-cloudevents-values)

As my knowledge of Dapr has increased over time, I like to offer my 2 cents from an end-user perspective on other community issues and proposals. I'll also chip in on the design proposals from time to time, if I feel I can contribute something of value towards a solution.

Over the last couple of months, I've put a whole bunch of time into testing Dapr Workflows from a user perspective, many bugs have been reported and fixed to make sure the Beta lands with confidence! There's more to do before GA, but so far it's looking super positive! I've also been an early adopter of the Dapr Pluggable State Store feature, and I've provided a bunch of feedback to help mature the experience towards GA.

Rightly or wrongly I chose the career path of Engineering Management... however, that doesn't stop me from dusting off the keyboard, and I'm pretty excited to be in the process of raising a PR to make my first code contribution to the Dapr project. My goal here is to provide a debug capability to enable dapr users to [validate that their PubSub infrastructure is healthy](https://github.com/dapr/dapr/issues/6351), which I hope to ship in the dapr 1.13 release!

On Discord, I've helped dozens of Dapr users with their issues. It's important to remember that everyone is new to Dapr at some point, and the things that are simple to those with experience can be confusing to newcomers, and so I like to do my bit to ensure newcomers receive a warm welcome into the Dapr community.

#### Why you are running

I see a few challenges ahead... 

1. **Sustainability** - As Dapr increases its feature set and supports more component implementations, this creates a maintenance cost that must be paid. _How do we ensure Dapr remains a sustainable OSS ecosystem?_ 

2. **Industry shifts** - The tech industry moves fast and we need to make sure that Dapr keeps up, without causing anxiety for existing adopters. _What is the long-term roadmap for Dapr? Where must we experiment and place strategic bets? How do we deliver the roadmap in small increments, without bang-bang destabilising change?_

3. Lastly and most importantly, **Developer Experience and ease of adoption** - Dapr presents a subjective learning curve, particularly to those organisations who are new to k8s, and so if new adopters can't get to grips with Dapr swiftly, the engagement is lost. _What should we do to make the experience better for folks?_

I'm not suggesting I have the answers at this point, but I do possess empathy for users, and I would like the opportunity to turn that empathy into _action_ and be one of many voices at the table for representing the Dapr user community.


