-------------------------------------------------------------
name: Paul Yuknewicz
ID: paulyuk
info:
  - employer: Microsoft
  - discord: paulyuk
-------------------------------------------------------------

#### Name
Paul Yuknewicz

#### Company Affiliation
Microsoft

#### Your work and/or contributions to Dapr

I've been involved in the Dapr project since 2021 right as it was entering CNCF incubations phase.  I am currently serving as a member of the STC and as a maintainer of Dapr Quickstarts.  

On the technical side of things, I have been a key part of the creation and design of multi app run, multi app run on Kubernetes, Resiliency and Workflow.  I also took the idea of Tutorials and rewrote 
them to be shorter bite-size Quickstarts that easily clone/restore/run and demonstrate a cool capability of each API, and in each supported language (Go, C#, JS, Python, and Java). 

On the fundamentals aspect, I lead a small squad to improve the testing of quickstarts and mechanical markdown tests.  I also added a branching and versioning strategy to protect main. 
  And I've kept tests at a high passing rate for the last two milestones, which historically were fragile and on the floor.  These tests now serve as part of our E2E validation.
  I also invested a large set of resources into overall improvement of components-contrib and sdk's path to stable from alpha and beta.  

On the the community aspect, I advocate continuously for vendor neutrality, partnership and inclusivity in the dapr project so it's a great place for all community members.  Specifically this 
  includes mentoring teams to define extensibility and upstream contribution mechanisms rather than fully forking, and also includes raising proposal around voting caps per vendor. 
  I am also an avid speaker at Microsoft and neutral conferences around the world, talking about "Invincible cloud native apps using Dapr".  

On the business aspect, I have been a key person lobbying for greater investment inside of Microsoft so we are outstanding contributors to open source and cloud native.  As a result 
we have made heavy investments in SDKs, components-contrib, Workflow (pulling in founders/experts from DTFx), Actors, Quickstarts/samples, and some aspects of the runtime like PubSub.  
  We have also taken a direct bet and dependency in our PaaS services like Azure Container Apps and now Azure Functions.  On the customer aspect I am in countless engagements 
working with customers to be successful with cloud native and Dapr as appropriate, which has lead to customer adoption and some of the marquee adoptions highlighted case studies 
  this past year.  

#### Why you are running

I believe Dapr solves major problems in the Cloud Native & distributed app space such as automatically using best practices for resiliency, security, and observability.  I also 
believe that Dapr  levels the playing field enabling developers of all skill ranges to easily target their backends of choice, hosts of choice, and languages of choice without making unnecessary trade 
offs or lock ins and again while easily enabling best practices and avoiding traps.   

Some of the things I believe we need to continue investing in as a priority:
- Best practices:  resiliency, app-level security (no need for low level networking), observability, rate limiting
- enhancing APIs: workflow, pubsub and state management at high scale
- New APIs: document (dbs), files/blobs, ansi sql -- so avoiding problematic usage of bindings and state management
- SDKs
- Community contributions of components
- Fundamentals/tests
- Enabling PaaS/SaaS intregations
- Enabling extensibility so companies/vendors can both optimize but also contribute upstream
- Learning content and materials to help users and community leaders share knowledge

I will also continue to be a strong advocate pushing for neutrality and inclusivity in our project & community.
  
