-------------------------------------------------------------
name: Yaron Schneider
ID: yaron2
info:
  - employer: Diagrid
  - discord: yaron2
-------------------------------------------------------------

#### Name
Yaron Schneider

#### Company Affiliation
Diagrid

#### Your work and/or contributions to Dapr

I've been involved with the Dapr project since its very beginning and have worked on the project through each major milestone, including the initial 0.1 release in 2019, the stable 1.0 release in 2021 and the CNCF donation as incubating project in 2021.
I am currently serving as a member of the STC and as a maintainer of the Dapr runtime, components-contrib, docs, CLI and Go-SDK repositories.

On the technical aspect of things, I have designed the Bindings, Pub/Sub, Service Invocation, State Management and Actors APIs and contributed substantial code to these areas for the past 4 years. In addition, I designed the Sentry service responsible of securing the Dapr sidecars and have contributed many other features including the Outbox pattern, client side state encryption, gRPC proxying and pub/sub namespace isolation among many others.
On the fundementials aspect, I designed and implemented the Dapr performance tests suite and have implemented end-to-end and unit tests continously to ensure quality and stability for our users.
In regards to user experience, I designed the Dapr CLI and have contributed substantial amounts of code to it over time.

On the community aspect, I helped donate Dapr to the CNCF as an incubating level project, advocated for and worked to build a vendor-neutral steering committee before Dapr joined CNCF. I worked in collaboration with the others vendors who make up the STC for 2 years, working on everything from governance to community improvements and steering the technical direction of the project.
In addition, I work closely with the CNCF and its ecosystem to ensure Dapr is well positioned in the industry. I am a regular speaker at confrences such as KubeCon, making sure Dapr is well represented.
I interact daily with Dapr users on GitHub and Discord, as well as new and existing contributors to the project. I review PRs and community contributions on a daily basis and am helping contributors wherever I can.

#### Why you are running

I believe that Dapr is taking on one of the most substantial challenges in the cloud-native world: that of fragmentation. An explosion of cloud services, frameworks and libraries force developers to become experts in too many things that are not their code business.
I am extremely passionate about improving developer experience and would like to ensure Dapr continues to evolve with the times, stay relevant and solve whatever challenges developers are facing.
It has always been important for me to ensure Dapr remains a vendor-neutral project that runs and operates well on all clouds, and I will continue to invest my time and effort in that direction.

I intend to make Dapr easier to ramp on to and improve the developer experience and tooling in addition to designing the next-generation of APIs and features that users expect, with the highest possible quality.
It is also crucial that Dapr is contributor friendly and allows for newcomers to onboard quickly. There is a lot to be done on that front, from contribution guides to automated systems and more.
