# 2023 Voters Guide - Dapr Steering and Technical Committee Election

## Purpose

The role of this election is to fill out seven (7) seats for election for the Dapr Steering and Technical Committee.
Each elected member will serve a two (2) year term.  

## Background

This election will shape the future of Dapr as a community and project. More information on the role of the STC can be found [here](https://github.com/dapr/community/blob/master/steering-and-technical-committee-charter.md#charter).

## Eligibility

Please refer to the STC Election Charter for:

- [Eligibility for candidacy](https://github.com/dapr/community/blob/master/steering-and-technical-committee-charter.md#candidate-eligibility).
- [Eligibility for voting](https://github.com/dapr/community/blob/master/steering-and-technical-committee-charter.md#eligibility-to-vote).

The list of eligible voters will be updated [in the community repository](./voters.yaml) by November 6, 2023.

If you believe you have contributed to the project in ways that go beyond code commits and are not showing up in the list of eligable voters, please contact election officer George Stevens via [Discord](https://aka.ms/dapr-discord). (handle - `georgestevens99`).

## Schedule

| Date         | Event                    |
| ------------ | ------------------------ |
| October 16   | Announcement of Election, call for nominations, exceptions |
| November 6   | All candidate nominations due by 23:59 UTC (3:59pm Pacific) |
| November 13  | Election Begins via Elekto UI |
| November 25  | Call for voter exceptions is closed by 23:59 UTC (3:59pm Pacific) |
| November 27  | Election Closes by 23:59 UTC (3:59pm Pacific) |
| November 30   | Announcement of Results |

## Election Officers

In an effort to run a fair and transparent election, the following people
have been asked by the Steering Committee to run this election:

- [George Stevens](https://github.com/georgestevens99)

You can reach George on [Discord](https://aka.ms/dapr-discord) via the handle `georgestevens99`.

## Candidacy Process

**Nomination**

If you want to stand for election for a Contributor Seat, open a PR against the
[dapr/community repository](https://github.com/dapr/community) to include
your candidate profile in the `/elections/2023-STC` folder, with the following
filename format:

```
candidate-githubid.md
```

Your GitHub ID is the username you use when logging into GitHub. For example, for a GitHub user with the GitHub username of “happycoder2” the following filename should be used: 
candidate-happycoder2.md

The PR contents should include:

* Your name
* Your company affiliation (employer or otherwise)
* Your work and/or contributions to Dapr
* Why you are running

You may choose to let the Dapr community know that you are running, either by posting on Discord or on your own via the social channels of your choice.

After a candidate has met all election requirements, the Election Officer will
merge the profile PR.

**Campaigning**

To reduce size of company advantages, candidates may not use their companies internal or external brand to campaign. Their employers cannot solicit votes on their behalf or endorse candidates from partner organizations. Simply put, elections highlight individuals outside of their corporate role and should be treated as “brand free” activities.

You should be running as a "brand free" individual, based on your contribution
to the project as a member of this community, outside of whatever corporate
roles you may hold.

## Voting Process

Elections will be held using [Elekto](https://elekto.blacksmoke-b816ea16.eastus.azurecontainerapps.io/login), an online voting tool created by CNCF 
intern Manish Sahani.  Elekto has one critical advantage over CIVS, which is
that it relies on GitHub Oauth to log you in to vote, instead of relying on 
email. More details on voting are in the [Elekto documentation](https://elekto.dev/docs/).

Thus, when you go to [Elekto](https://elekto.blacksmoke-b816ea16.eastus.azurecontainerapps.io/login) you will be prompted to log in your GitHub account.
Please do, so, and then click on "Explore Election" to look at the list of 
elections.  From there you can click on the "2023 Dapr STC Election."

The election page will, among other things, tell you if you are eligible to vote,
via a button at the top of the screen. Due to limitations in our contributor
data, many contributors may have been unfairly missed; if you are one of these,
please file a voting exception by the deadline listed above so that we can
enfranchise you. Exceptions can be filed by contacting the Election Officer `georgestevens99` directly on [Discord](https://aka.ms/dapr-discord).

As candidates file their candidate statements in the community repo, they will
become visible in the [Elekto](https://elekto.blacksmoke-b816ea16.eastus.azurecontainerapps.io/login) UI.  You may click through to any candidate
to see their profile.

Once the vote begins, you will be able to rank the candidates in the order of
your preference, and submit your ballot.  When you submit, you will be offered
a chance to set a password, which is required if you want the ability to return
and re-cast your ballot before the election close deadline found above.

Employer diversity is encouraged, and thus maximal representation will be
enforced as spelled out in the [STC Election Charter](https://github.com/dapr/community/blob/master/steering-and-technical-committee-charter.md#composition).

Individual ballot data is encrypted, and not retrievable by 
anyone except the voter, or in aggregate form.

### Decision

The results and newly elected body will be announced with a blog post on the [Dapr blog site](https://blog.dapr.io/) and on Discord.

For more information, definitions, and/or detailed election process, please refer to
the [STC Election Charter](https://github.com/dapr/community/blob/master/steering-and-technical-committee-charter.md#election-procedure).
