# Dapr presentations

This file contains links to Dapr presentations given by community members. This file is used to award community members with a [Dapr Presenter digital badge](https://www.holopin.io/sticker/clt3egohs11570gjnanpizv28).

![Presenter Badge](../images/dapr-presenter-badge.png)

## Adding your Dapr presentation

1. [Fork this repository](https://github.com/dapr/community/fork).
2. Add a new row to the table below with your name, GitHub handle, event name and year, and a markdown link to either:
   - a YouTube recording of the Dapr presentation
   - your (online) slide deck
   - an event page with session details
   - a blog post that shows you spoke about Dapr at an event.
3. **Ensure to sign-off your commit**, see [Developer Certificate of Origin (DCO)](https://docs.dapr.io/contributing/contributing-overview/#developer-certificate-of-origin-signing-your-work) in the Dapr docs.
4. Create a pull request to [dapr/community](https://github.com/dapr/community) with the updated table.
5. One of the Dapr community managers will check your PR, merge it, and reward you with a [Dapr Presenter badge](https://www.holopin.io/sticker/clt3egohs11570gjnanpizv28).

| Name               | GitHub handle | Event & Year    | Title & link                                                                                                                                      |
| ------------------ | ------------- | --------------- | ------------------------------------------------------------------------------------------------------------------------------------------------- |
| Fernando Rocha    | @rochabr   | CNCF Vancoucer 2024  | [Building secure and reliable distributed applications with Dapr](https://community.cncf.io/events/details/cncf-vancouver-presents-2024-cloud-native-vancouver-kickoff/) |
| Walter Silvestre Coan | @waltercoan   | The Developer's Conference 2024 - Florianópolis  | [How Dapr (Distributed Application Runtime) can simplify application development in microservices](https://github.com/waltercoan/tdcflorianopolis2024-dapr)          |
| Marc Duiker        | @marcduiker   | CloudBrew 2023  | [Lights, Camera, Action! Building distributed applications with Dapr Actors](https://marcduiker.dev/articles/speaking-at-cloudbrew-2023)          |
| Florian van Dillen | @fvandillen   | Futuretech 2024 | [Dapr and .NET Aspire: A royal wedding](https://fvandillen.github.io/posts/speaking-at-futuretech-2024/)                                          |
| Eduard Keilholz    | @nikneem      | Futuretech 2024 | [Microservices Orchestration with Azure Container Apps](https://sessionize.com/s/eduard/microservices-orchestration-with-azure-container-a/87011) |
| Jose M. Flores     | @jmflorezzazo | MicUp 2022 | [Arquitectura de servicios con DAPR](https://jmfloreszazo.com/arquitectura-de-servicios-con-dapr/) |
| Sergio Parra Guerra | @sparraguerra | Netcoreconf 2023 Málaga | [El amigo YARP y su colega Dapr, de fiesta por las Azure Container Apps.](https://speakerdeck.com/sparraguerra/netcoreconf-2023-malaga-el-amigo-yarp-y-su-colega-dapr-de-fiesta-por-las-azure-container-apps/) |
| Sergio Parra Guerra | @sparraguerra | Netcoreconf 2023 Madrid | [Netcoreconf 2023 Madrid: Azure Durable Functions vs Dapr Workflows, the fight begins.](https://speakerdeck.com/sparraguerra/netcoreconf-2023-madrid-azure-durable-functions-vs-dapr-workflows-the-fight-begins/) |
| Laurent Kempé      | @laurentkempe | DevApps Meetup May 2021  | [Présentation de Dapr, Distributed Application Runtime](https://youtu.be/Xz91tq6NI2g?t=890) (French)                                                                    |
| Laurent Kempé      | @laurentkempe | DevApps Meetup June 2021 | [Présentation de Dapr, Distributed Application Runtime, .NET SDK](https://www.youtube.com/watch?v=XtASb2tmo5c&t=119s&ab_channel=DevApps) (French)                       |
| Christophe Gigax      | @christophegigax | DevCon #3 2022 | [Façonner les architectures du futur avec Dapr](https://www.youtube.com/watch?v=PRbcJDlLMQI) (French)                       |
| Christophe Gigax      | @christophegigax | Cloud Nord 2023 | [Façonner les architectures du futur avec Dapr](https://www.youtube.com/watch?v=bjkW2MnBCwg) (French)                       |
| Mathieu Benoit  | @mathieu-benoit | Dapr Community Call - Jan 10th (#96) | [Dapr + Score + Humanitec demo](https://www.youtube.com/watch?v=4gT0Y6QxinU&t=140s) |
| Mathieu Benoit  | @mathieu-benoit | PlatformCon 2024 | [Dapr + Score: Crafting and improving your developers experience](https://platformcon.com/talks/dapr-score-crafting-and-improving-your-developers-experience) |
